Subject: bug#27618: closed (Re: bug#27618: Possible bug when compiled with ssl)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Jul 2017 15:29:01 +0000

Your bug report

#27618: Possible bug when compiled with ssl

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27618: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27618
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27618: Possible bug when compiled with ssl
From: Paul Eggert <[email-masked]>
To: Jean Louis <[email-masked]>, [email-masked]
Date: Sat, 8 Jul 2017 08:28:44 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Jean Louis wrote:
> I have seen today that my coreutils was compiled with ssl support, and
> that is fine for me.
> ...
> sort: error while loading shared libraries: libcrypto.so.38: cannot open shared object file: No such file or directory

It sounds like in practice, it is not actually fine for you (:-). When you run 
'configure', omit the --with-openssl option; that should fix your problem.

Subject: Possible bug when compiled with ssl
From: Jean Louis <[email-masked]>
To: [email-masked]
Date: Sat, 8 Jul 2017 17:17:21 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I have seen today that my coreutils was compiled with ssl support, and
that is fine for me.

However, what happens if libressl library is updated?

sort is then missing libressl from old versio, and configure cannot
run.

Also, sort is required by other ./configure scripts so suddenly
nothing can be ./configure-ed and make-ed as the script looks for
sort, and sort looks for older libressl which is updated to newer
version.

It further means, when sort and coreutils are compiled with libressl,
they cannot compile itself without libressl even I don't know the
background on how sort is using the ssl.

It maybe problem for development of chaintools with ssl.

Jean

configure: creating ./config.status
config.status: creating Makefile
config.status: creating po/Makefile.in
config.status: creating gnulib-tests/Makefile
config.status: creating lib/config.h
config.status: executing depfiles commands
config.status: executing po-directories commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
sort: error while loading shared libraries: libcrypto.so.38: cannot open shared object file: No such file or directory
sort: error while loading shared libraries: libcrypto.so.38: cannot open shared object file: No such file or directory